//---------------------------------------------
// TextOnBaseline.cs  2001 by Charles Petzold
//---------------------------------------------
using System;
using System.Drawing;
using System.Windows.Forms;

class TextOnBaseline: PrintableForm
{
     public new static void Main()
     {
          Application.Run(new TextOnBaseline());
     }
     public TextOnBaseline()
     {
          Text = "Texto en lnea de base";
     }
     protected override void DoPage(Graphics grfx, Color clr, int cx, int cy)
     {
          float yBaseline = cy / 2;
          Pen   pen       = new Pen(clr);

               // Dibuja la lnea de base en el centro del rea cliente.

          grfx.DrawLine(pen, 0, yBaseline, cx, yBaseline);

               // Crea una fuente de 144 puntos.

          Font font = new Font("Times New Roman", 144);

               // Obtiene y calcula algunas mtricas.

          float cyLineSpace = font.GetHeight(grfx);
          int   iCellSpace  = font.FontFamily.GetLineSpacing(font.Style);
          int   iCellAscent = font.FontFamily.GetCellAscent(font.Style);
          float cyAscent    = cyLineSpace * iCellAscent / iCellSpace;

               // Muestra el texto en la lnea de base.

          grfx.DrawString("Lnea de base", font, new SolidBrush(clr),
                          0, yBaseline - cyAscent);
     }
}
